Bug 867381 - Seam2.3 seam-gen generated action shows "The form component needs to have a UIForm in its ancestry. ..." message
Seam2.3 seam-gen generated action shows "The form component needs to have a U...
Status: CLOSED INSUFFICIENT_DATA
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Seam (Show other bugs)
2.1.0
Unspecified Unspecified
unspecified Severity low
: ---
: 2.4.0
Assigned To: Marek Novotny
Marek Schmidt
Seam2.3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 08:00 EDT by Marek Schmidt
Modified: 2013-07-22 09:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
On submitting a JSF request, a JSF warning message is displayed. As a workaround for this issue, use PRODUCTION value for javax.faces.PROJECT_STAGE in web.xml as follows: <context-param> <param-name>javax.faces.PROJECT_STAGE</param-name> <param-value>Production</param-value> </context-param> As a result, the JSF request is submitted successfully.
Story Points: ---
Clone Of: 832115
Environment:
Last Closed: 2013-07-22 09:25:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFK2-101 Minor Closed Seam2.3 seam-gen generated action shows "The form component needs to have a UIForm in its ancestry. ..." message 2015-06-17 13:25:57 EDT

  None (edit)
Description Marek Schmidt 2012-10-17 08:00:21 EDT
+++ This bug was initially created as a clone of Bug #832115 +++

Description of problem:

Seam2.3 seam-gen generated action shows "The form component needs to have a UIForm in its ancestry. Suggestion: enclose the necessary components within <h:form>" message

Steps to reproduce:
1. generate and deploy default WAR project "myproject" with seam-gen
2. create a "fooAction" with "seam new-action"
3. go to http://127.0.0.1:8080/myproject/fooAction.seam
4. click on "fooAction!"
5. notice the message

same with the generated form (seam new-form)
Comment 1 Marek Novotny 2012-10-19 09:34:44 EDT
I doubt that this issue is a clone of https://bugzilla.redhat.com/show_bug.cgi?id=832115 as I can see that change in sources. I will try to reproduce it.
Comment 2 Marek Novotny 2012-10-31 11:19:38 EDT
I forget on issue in JSF itself - http://java.net/jira/browse/JAVASERVERFACES-1922

No way how to get rid of this Warning, we don't want to use PRODUCTION level for seam-gen application from the start.

<context-param>
   <param-name>javax.faces.PROJECT_STAGE</param-name>
   <param-value>Production</param-value>
</context-param>
Comment 3 mark yarborough 2012-11-05 10:21:31 EST
Known issue for WFK 2.1. Fix requires JSF update.
Comment 4 Sneha 2013-03-25 08:38:29 EDT
Referring to the Doc Text:

The result of the workaround for this bug is also a warning message?
Comment 5 Sneha 2013-03-25 08:48:35 EDT
Doc Text updated.
Comment 6 Marek Novotny 2013-05-10 09:40:48 EDT
This JSF issue was fixed in JSF 2.2.0-m01. So it won't be fixed for Seam with JSF 2.1 and EAP 6.

Note You need to log in before you can comment on or make changes to this bug.